CH_GET_BYTES_REMAINING_IN_DISC(3)

EXPERIMENTAL_FUNC
ch_get_bytes_remaining_in_disc - Return the number of bytes remaining in a disc file.

SYNOPSIS
#include <karma_ch.h>

flag ch_get_bytes_remaining_in_disc

(Channel channel, uaddr *length)

DESCRIPTION
Return the number of bytes remaining in a disc file.

channel
    The channel to test.

length
    The number of bytes readable is written here.

RETURN VALUE
TRUE on success, else FALSE indicating a non-disc channel or a converter is registered.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/